delete from sams where rack=16 and status=0;

create table tempracks
       select rackdata.*,
       	      racks.acronym,
	      racks.name,
	      racks.location,
	      racks.ordernum,
	      racks.attached,
	      racks.idx as racks_idx,
	      fieldcomments.runtime as runtime_comment,
	      fieldcomments.upmass as upmass_comment,
	      fieldcomments.middecks as middecks_comment,
	      fieldcomments.stowage as stowage_comment,
	      fieldcomments.power as power_comment,
	      fieldcomments.crewtrng as crewtrng_comment,
	      fieldcomments.crewtime as crewtime_comment,
	      fieldcomments.MTL as MTL_comment,
	      fieldcomments.network as network_comment,
	      fieldcomments.name as name_comment,
	      fieldcomments.express as express_comment,
	      rackinterfaces.LTL as interface_LTL,
	      rackinterfaces.MTL as interface_MTL,
	      rackinterfaces.ARIS as interface_ARIS,
	      rackinterfaces.VacuumR as interface_VacuumR,
	      rackinterfaces.VacuumE as interface_VacuumE,
	      rackinterfaces.RFCA as interface_RFCA,
	      rackinterfaces.He as interface_He,
	      rackinterfaces.N2 as interface_N2,
	      rackinterfaces.CO2 as interface_CO2,
	      rackinterfaces.Ar as interface_Ar,
	      sams.status as sams
       from racks,rackdata,fieldcomments,rackinterfaces,sams
       where
              racks.idx=rackdata.racknum and
	      racks.idx=fieldcomments.racknum and
	      racks.idx=rackinterfaces.racknum and
	      racks.idx=sams.rack;

drop table racks;
drop table rackdata;
drop table fieldcomments;
drop table conscomments;
drop table rackcomments;
drop table rackinterfaces;
drop table topology;
drop table sams;
rename table tempracks to racks;
alter table racks drop racknum;
alter table racks drop ordernum;



alter table racks drop idx;
alter table racks change racks_idx idx int;
alter table racks modify idx int not null auto_increment primary key;
alter table racks modify sams int not null default 0;
alter table racks modify acronym varchar(255) unique not null;
alter table racks modify interface_LTL tinyint(1) not null default 0;
alter table racks modify interface_MTL tinyint(1) not null default 0;
alter table racks modify interface_ARIS tinyint(1) not null default 0;
alter table racks modify interface_VacuumR tinyint(1) not null default 0;
alter table racks modify interface_VacuumE tinyint(1) not null default 0;
alter table racks modify interface_RFCA tinyint(1) not null default 0;
alter table racks modify interface_He tinyint(1) not null default 0;
alter table racks modify interface_N2 tinyint(1) not null default 0;
alter table racks modify interface_CO2 tinyint(1) not null default 0;
alter table racks modify interface_Ar tinyint(1) not null default 0;

alter table racks modify MTL_calc tinyint(1) not null default 0;
alter table racks modify LTL_calc tinyint(1) not null default 0;

alter table locations modify overhead double not null default 0.0;
alter table locations modify power double not null default 0.0;

alter table locations modify LTL tinyint(1) not null default 0;
alter table locations modify MTL tinyint(1) not null default 0;
alter table locations modify ARIS tinyint(1) not null default 0;
alter table locations modify VacuumR tinyint(1) not null default 0;
alter table locations modify VacuumE tinyint(1) not null default 0;
alter table locations modify RFCA tinyint(1) not null default 0;
alter table locations modify He tinyint(1) not null default 0;
alter table locations modify N2 tinyint(1) not null default 0;
alter table locations modify CO2 tinyint(1) not null default 0;
alter table locations modify Ar tinyint(1) not null default 0;

alter table modules drop comment;

alter table constraints modify trigger tinyint(1);

alter table runs add ignorezeros tinyint(1) not null default 0;
alter table runs add stowage_MLEs double not null default 1;
update runs set stowage_MLEs=16; 

alter table runs add topology varchar(255);
alter table runs add outputdb varchar(255) not null default "plum_output";
alter table runs add outputpath varchar(255);

alter table runs add cs_p4_asc double not null default 0;
alter table runs add cs_p4_orb double not null default 0;
alter table runs add cs_p4_desc double not null default 0;
alter table runs add cs_m20_asc double not null default 0;
alter table runs add cs_m20_orb double not null default 0;
alter table runs add cs_m20_desc double not null default 0;
alter table runs add cs_m80_asc double not null default 0;
alter table runs add cs_m80_orb double not null default 0;
alter table runs add cs_m80_desc double not null default 0;
alter table runs add cs_m180_asc double not null default 0;
alter table runs add cs_m180_orb double not null default 0;
alter table runs add cs_m180_desc double not null default 0;
alter table runs add passiveMLE double not null default 0;
alter table runs add passive_middeck_mass double not null default 0;

alter table racks add launch_date varchar(255);
alter table racks add flight_launched varchar(255);
alter table racks add outfitting_upmass double;
alter table racks add outfitting_MDLs double;

alter table racks add cs_p4_asc double;
alter table racks add cs_p4_orb double;
alter table racks add cs_p4_desc double;

alter table racks add cs_m20_asc double;
alter table racks add cs_m20_orb double;
alter table racks add cs_m20_desc double;

alter table racks add cs_m80_asc double;
alter table racks add cs_m80_orb double;
alter table racks add cs_m80_desc double;

alter table racks add cs_m180_asc double;
alter table racks add cs_m180_orb double;
alter table racks add cs_m180_desc double;

drop table campaigns;
drop table campcomments;

drop table nopush;

create table topology
       select racks.idx as rack,
       	      locations.idx as location,
	      "default" as name
       from racks,locations
       where racks.location=locations.idx;

alter table topology modify name varchar(255);

alter table constraints drop idx;
alter table constraints modify trigger tinyint(1);
alter table runcons drop idx;
alter table selection drop idx;

create table sums(name varchar(255) unique not null primary key,inputfield varchar(255) not null,limitfield varchar(255) not null,outputfield varchar(255) not null,increment tinyint(1) not null default 0,simultaneous tinyint(1) not null default 0,red double,green double,blue double,symbol varchar(255));

create table labels(tblname varchar(255),field varchar(255),label varchar(255),linktable varchar(255),linkfield varchar(255));
create table comments(idx int not null auto_increment primary key,tblname varchar(255),indexfield varchar(255),value varchar(255),author varchar(255),comment blob);

insert into labels (tblname,field,label,linktable,linkfield) values ("racks","acronym","01. Acronym",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","name","02. name",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","partner","03. partner",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","launch_date","04. Launch Readiness Date",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","flight_launched","05. Flight Launched",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","outfitting_upmass","06. Outfitting Upmass (kg)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","outfitting_MDLs","07. Outfitting MDLs",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","upmass_resupply","08. Resupply Upmass (kg)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","mid_resupply","09. Middecks (MDLs)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","stowage","10. Stowage (MLEs)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","crew_time","11. Crew Time (hrs per inc)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","crew_training","12. Crew Training (hrs per inc)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","power","13. Power (kW)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","keepalive_power","14. Keep-Alive Power (kW)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","MTL_calc","15. MTL - Calculated (Y/N)?",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","MTL_inlet","16. MTL - Inlet Temp (deg F)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","MTL_outlet","17. MTL - Outlet Temp (deg F)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","MTL_flow","18. MTL Flow Rate (lbs/hr)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","MTL_flow_keepalive","19. MTL Keep-Alive Flow Rate (lbs/hr)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","LTL_calc","20. LTL - Calculated (Y/N)?",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","LTL_inlet","21. LTL - Inlet Temp (deg F)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","LTL_outlet","22. LTL - Outlet Temp (deg F)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","LTL_flow","23. LTL Flow rate (lbs/hr)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","LTL_flow_keepalive","24. LTL Keep-Alive Flow Rate (lbs/hr)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_p4_asc","25. +4 Ascent Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_m20_asc","26. -20 Ascent Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_m80_asc","27. -80 Ascent Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_m180_asc","28. -180 Ascent Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_p4_orb","29. +4 On-Orbit Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_m20_orb","30. -20 On-Orbit Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_m80_orb","31. -80 On-Orbit Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_m180_orb","32. -180 On-Orbit Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_p4_desc","33. +4 Descent Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_m20_desc","34. -20 Descent Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_m80_desc","35. -80 Descent Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cs_m180_desc","36. -180 Descent Cold Stowage (l)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","video_uplink","37. Video Uplink Duration (hrs)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","video_downlink","38. Video Downlink Duration (hrs)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","video_rate","39. Video Data Rate",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","nominal_uplink","40. Uplink - Nominal (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_uplink","41. Uplink - Peak (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_uplink_duration","42. Uplink Peak - Duration (hrs)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","nominal_downlink","43. Downlink - Nominal (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_downlink","44. Downlink - Peak (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_downlink_duration","45. Downlink - Peak Duration (hrs)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","nominal_1553","46. 1553 - Nominal (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_1553","47. 1553 - Peak (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_1553_duration","48. 1553 - Peak Duration (hrs)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","nominal_ethernet","49. Ethernet - Nominal (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_ethernet","50. Ethernet - Peak (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_ethernet_duration","51. Ethernet - Peak Duration (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","nominal_HRL","52. HRL - Nominal (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_HRL","53. HRL - Peak (Mbps)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","peak_HRL_duration","54. HRL - Peak Duration (hrs)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","sams","55. SAMS (0=Not req'd; 1=Requires SAMS; 2=Contains SAMS)",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","attached","56. Attached",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cycles_per_increment","57. cycles_per_increment",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","hrs_per_cycle","58. hrs_per_cycle",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_ARIS","59. interface_ARIS",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_Ar","60. interface_Ar",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_CO2","61. interface_CO2",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_He","62. interface_He",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_LTL","63. interface_LTL",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_MTL","64. interface_MTL",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_N2","65. interface_N2",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_RFCA","66. interface_RFCA",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_vaccumE","67. interface_vaccumE",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","interface_vacuumR","68. interface_vacuumR",null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","name_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","express_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","runtime_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","upmass_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","middecks_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","crewtime_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","crewtrng_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","power_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","stowage_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","MTL_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","network_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","cold_stowage_comment",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","idx",null,null,null);
insert into labels (tblname,field,label,linktable,linkfield) values ("racks","location",null,null,null);

insert into labels (tblname,label,field,linktable,linkfield) values ("runs","01 Name","name",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","02 Minimum number of racks","min",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","03 Maximum number of racks","max",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","04 Number of combinations","numcombos",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","05 Table name","tblname",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","06 Increment Length (days)","inclength",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","07 Ignore Zero Capability?","ignorezeros",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","08 Powered Middecks (MLEs)","MLE",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","09 Power Middeck Mass (kg)","middeckmass",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","10 Passive Middecks (MLEs)","passiveMLE",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","11 Passive Middeck Mass (kg)","passive_middeck_mass",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","12 Stowage (81. of racks)","stowage",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","13 No. MLEs per Stowage Rack (MLEs)","stowage_MLEs",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","14 Press Resupply  upmass (kg)","upmass",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","15 Unpress Resupply Upmass - Att. P/Ls (kg)","bulk",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","16 Packing factor","rack_overhead",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","17 Crew Training (hrs/increment)","crewtrng",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","18 Crew Time (hrs/week)","crewtime",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","19 Total ISS Power (kW)","power",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","20 CAM Housekeeping power (kW)","hskpg",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","21 Total ISS Keep-Alive Power (kW)","keepalive",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","22 Uses new SAMS?","newsams",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","23 Ku-Band Receiver Power (kW)","ku_power",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","24 SAMS rack support power (kW)","pl_power",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","25 SAMS power (kW)","sams_power",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","26 +4 Cold Stowage - Ascent (l)","cs_p4_asc",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","27 +4 Cold Stowage - On-Orbit (l)","cs_p4_orb",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","28 +4 Cold Stowage - Descent (l)","cs_p4_desc",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","29 -20 Cold Stowage - Ascent (l)","cs_m20_asc",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","30 -20 Cold Stowage - On-Orbit (l)","cs_m20_orb",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","31 -20 Cold Stowage - Descent (l)","cs_m20_desc",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","32 -80 Cold Stowage - Ascent (l)","cs_m80_asc",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","33 -80 Cold Stowage - On-Orbit (l)","cs_m80_orb",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","34 -80 Cold Stowage - Descent (l)","cs_m80_desc",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","35 -180 Cold Stowage - Ascent (l)","cs_m180_asc",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","36 -180 Cold Stowage - On-Orbit (l)","cs_m180_orb",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","37 -180 Cold Stowage - Descent (l)","cs_m180_desc",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","38 Uplink Data - Avg Rate (Mbps)","avg_uplink",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","39 Uplink Data - Peak Rate (Mbps)","peak_uplink",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","40 Uplink Data - Peak Rate Duration","peak_uplink_duration",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","41 Downlink Data - Avg Rate (Mbps)","avg_downlink",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","42 Downlink Data - Peak Rate (Mbps)","peak_downlink",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","43 Downlink Data - Peak Rate Duration","peak_downlink_duration",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","44 Ethernet Data - Avg Rate (Mbps)","avg_ethernet",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","45 Ethernet Data - Peak Rate (Mbps)","peak_ethernet",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","46 Ethernet Data - Peak Rate Duration","peak_ethernet_duration",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","47 1553 Data - Avg Rate (Mbps)","avg_1553",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","48 1553 Data - Peak Rate (Mbps)","peak_1553",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","49 1553 Data - Peak Rate Duration","peak_1553_duration",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","50 HRL Data - Avg Rate (Mbps)","avg_HRL",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","51 HRL Data - Peak Rate (Mbps)","peak_HRL",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","52 HRL Data - Peak Rate Duration","peak_HRL_duration",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","53 Video Uplink Rate  (Mbps)","video_uplink",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","54 Video Downlink Rate (Mbps)","video_downlink",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","55 Video Rate","video_rate",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs",null,"comment",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs",null,"constraints",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs",null,"idx",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs",null,"oldcons",null,null);
insert into labels (tblname,label,field,linktable,linkfield) values ("runs","Topology:","topology","topology","name");

create table glyphnames(symbolname varchar(50) primary key);
insert into glyphnames(symbolname) values ("circle");
insert into glyphnames(symbolname) values ("cross");
insert into glyphnames(symbolname) values ("square");
insert into glyphnames(symbolname) values ("plus");
insert into glyphnames(symbolname) values ("diamond");
insert into glyphnames(symbolname) values ("asterisk");
insert into glyphnames(symbolname) values ("triangle");
insert into glyphnames(symbolname) values ("underscore");
insert into glyphnames(symbolname) values ("smallcircle");
insert into glyphnames(symbolname) values ("smallsquare");
insert into glyphnames(symbolname) values ("smalldiamond");
insert into glyphnames(symbolname) values ("smallasterisk");

insert into labels (tblname,label,field,linktable,linkfield) values ("sums","Symbol:","symbol","glyphnames","symbolname");